package cbpm.rtx.test;

import cbpm.rtx.biz.im.vo.ImVO;
import cbpm.rtx.biz.notice.vo.NoticeVO;
import cbpm.rtx.client.RTXFactory;
import cbpm.rtx.client.message.IESB2RTXMessage;

public class TestCall {

   public static void main(String[] args) {
      testSendNotice();
   }

   public static void testSendNotice() {
      NoticeVO noticeVO = new NoticeVO();
      noticeVO.setReceiver("chenzh");
      noticeVO.setTitle("消息提醒测试");
      noticeVO.setDelayTime("0");
      noticeVO.setMsg("你是否已经接收到消息");
      IESB2RTXMessage iesb2rtxMessage = RTXFactory.getMessageInstance();
      iesb2rtxMessage.sendNotify(noticeVO);
   }

   public static void testSendIM() {
      ImVO imVO = new ImVO();
      imVO.setSender("61300000");
      imVO.setPwd("");
      imVO.setReceivers("chenzh");
      imVO.setMsg("发送IM消息提醒");
      imVO.setSessionID("");
      IESB2RTXMessage iesb2rtxMessage = RTXFactory.getMessageInstance();
      iesb2rtxMessage.sendIM(imVO);
   }
}
